Package weka.classifiers.bayes.net

# Class VaryNode

java.lang.Object
weka.classifiers.bayes.net.VaryNode

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class VaryNode extends Object implements Serializable, RevisionHandler
Part of ADTree implementation. See ADNode.java for more details.

Version:
  $Revision: 1.6 $
Author:
  Remco Bouckaert (rrb@xm.co.nz)
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`ADNode[]`
`m_ADNodes`
list of ADNode children
`int`
`m_iNode`
index of the node varied
`int`
`m_nMCV`
most common value

## Constructor Summary

Constructors
Constructor
Description
`VaryNode(int iNode)`
Creates new VaryNode

## Method Summary

Modifier and Type
Method
Description
`void`
`getCounts(int[] nCounts, int[] nNodes, int[] nOffsets, int iNode, int iOffset, ADNode parent, boolean bSubstract)`
get counts for specific instantiation of a set of nodes
`String`
`getRevision()`
Returns the revision string.
`void`
`print(String sTab)`
print is used for debugging only, called from ADNode

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### m_iNode

public int m_iNode
index of the node varied

### m_nMCV

public int m_nMCV
most common value

### m_ADNodes

public ADNode[] m_ADNodes
list of ADNode children

## Constructor Details

### VaryNode

public VaryNode(int iNode)
Creates new VaryNode

## Method Details

### getCounts

public void getCounts(int[] nCounts, int[] nNodes, int[] nOffsets, int iNode, int iOffset, ADNode parent, boolean bSubstract)
get counts for specific instantiation of a set of nodes

Parameters:
  `nCounts` - array for storing counts
  `nNodes` - array of node indexes
  `nOffsets` - offset for nodes in nNodes in nCounts
  `iNode` - index into nNode indicating current node
  `iOffset` - Offset into nCounts due to nodes below iNode
  `parent` - parant ADNode of this VaryNode
  `bSubstract` - indicate whether counts should be added or substracted

### print

public void print(String sTab)
print is used for debugging only, called from ADNode

Parameters:
  `sTab` - amount of space.

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision